Skip to main content
POST
/
creditNotes
/
{creditNoteId}
/
output
/
pdf
Pdf Credit Note
curl --request POST \
  --url https://api.jtl-cloud.com/erp/creditNotes/{creditNoteId}/output/pdf \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
"aSDinaTvuI8gbWludGxpZnk="

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

creditNoteId
integer<int32>
required

The id of the sales order for that the creation of a pdf to start.

Query Parameters

formId
integer<int32>

Gets the unique identifier for the form (Formular) entity.

Represents a unique key for identifying a form (Formular) entity within the system.

Response

The Filestream of the Created PDF

The response is of type string<byte>.